
_InitTimer3:

;AlphanumClick.c,95 :: 		void InitTimer3(){
;AlphanumClick.c,96 :: 		T3CON	 = 0x11;
	MOVLW       17
	MOVWF       T3CON+0 
;AlphanumClick.c,97 :: 		TMR3IF_bit	 = 0;
	BCF         TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
;AlphanumClick.c,98 :: 		TMR3H	 = 0x63;
	MOVLW       99
	MOVWF       TMR3H+0 
;AlphanumClick.c,99 :: 		TMR3L	 = 0xC0;
	MOVLW       192
	MOVWF       TMR3L+0 
;AlphanumClick.c,100 :: 		TMR3IE_bit	 = 1;
	BSF         TMR3IE_bit+0, BitPos(TMR3IE_bit+0) 
;AlphanumClick.c,101 :: 		INTCON	 = 0xC0;
	MOVLW       192
	MOVWF       INTCON+0 
;AlphanumClick.c,102 :: 		}
L_end_InitTimer3:
	RETURN      0
; end of _InitTimer3

_Interrupt:

;AlphanumClick.c,104 :: 		void Interrupt(){
;AlphanumClick.c,105 :: 		if (TMR3IF_bit){
	BTFSS       TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
	GOTO        L_Interrupt0
;AlphanumClick.c,106 :: 		TMR3IF_bit = 0;
	BCF         TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
;AlphanumClick.c,107 :: 		TMR3H	 = 0x63;
	MOVLW       99
	MOVWF       TMR3H+0 
;AlphanumClick.c,108 :: 		TMR3L	 = 0xC0;
	MOVLW       192
	MOVWF       TMR3L+0 
;AlphanumClick.c,109 :: 		TLC5926_nNS = ~TLC5926_nNS;                             // 100 Hz software PWM
	BTG         LATC+0, 0 
;AlphanumClick.c,110 :: 		}
L_Interrupt0:
;AlphanumClick.c,111 :: 		}
L_end_Interrupt:
L__Interrupt44:
	RETFIE      1
; end of _Interrupt

_settle:

;AlphanumClick.c,121 :: 		void settle(void){
;AlphanumClick.c,122 :: 		Delay_us(5);
	MOVLW       13
	MOVWF       R13, 0
L_settle1:
	DECFSZ      R13, 1, 1
	BRA         L_settle1
;AlphanumClick.c,123 :: 		}
L_end_settle:
	RETURN      0
; end of _settle

_WriteSegments:

;AlphanumClick.c,125 :: 		void WriteSegments(unsigned int a, unsigned int b){
;AlphanumClick.c,127 :: 		TLC5926_LE1 = 1;
	BSF         LATE+0, 0 
;AlphanumClick.c,128 :: 		TLC5926_LE2 = 1;
	BSF         LATE+0, 1 
;AlphanumClick.c,129 :: 		TLC5926_NS  = 1;
	BSF         LATD+0, 0 
;AlphanumClick.c,130 :: 		TLC5926_nNS = 1;
	BSF         LATC+0, 0 
;AlphanumClick.c,132 :: 		SPI1_Write(b >> 8);
	MOVF        FARG_WriteSegments_b+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;AlphanumClick.c,133 :: 		SPI1_Write(b & 0xff);
	MOVLW       255
	ANDWF       FARG_WriteSegments_b+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;AlphanumClick.c,135 :: 		TLC5926_LE1 = 0;
	BCF         LATE+0, 0 
;AlphanumClick.c,136 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,137 :: 		TLC5926_LE1 = 1;
	BSF         LATE+0, 0 
;AlphanumClick.c,138 :: 		TLC5926_NS = 0;
	BCF         LATD+0, 0 
;AlphanumClick.c,139 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,140 :: 		TLC5926_NS = 1;
	BSF         LATD+0, 0 
;AlphanumClick.c,142 :: 		SPI1_Write(a >> 8);
	MOVF        FARG_WriteSegments_a+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;AlphanumClick.c,143 :: 		SPI1_Write(a & 0xff);
	MOVLW       255
	ANDWF       FARG_WriteSegments_a+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;AlphanumClick.c,145 :: 		TLC5926_LE2 = 0;
	BCF         LATE+0, 1 
;AlphanumClick.c,146 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,147 :: 		TLC5926_LE2 = 1;
	BSF         LATE+0, 1 
;AlphanumClick.c,148 :: 		TLC5926_nNS = 0;
	BCF         LATC+0, 0 
;AlphanumClick.c,149 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,150 :: 		TLC5926_nNS = 1;
	BSF         LATC+0, 0 
;AlphanumClick.c,152 :: 		TLC5926_LE1 = 0;
	BCF         LATE+0, 0 
;AlphanumClick.c,153 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,154 :: 		TLC5926_LE1 = 1;
	BSF         LATE+0, 0 
;AlphanumClick.c,155 :: 		TLC5926_NS = 0;
	BCF         LATD+0, 0 
;AlphanumClick.c,156 :: 		settle();
	CALL        _settle+0, 0
;AlphanumClick.c,157 :: 		TLC5926_NS = 1;
	BSF         LATD+0, 0 
;AlphanumClick.c,158 :: 		}
L_end_WriteSegments:
	RETURN      0
; end of _WriteSegments

_GetChar:

;AlphanumClick.c,160 :: 		unsigned int GetChar(char Character){
;AlphanumClick.c,161 :: 		if ((Character >= '-') && (Character <= '_')){
	MOVLW       45
	SUBWF       FARG_GetChar_Character+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_GetChar4
	MOVF        FARG_GetChar_Character+0, 0 
	SUBLW       95
	BTFSS       STATUS+0, 0 
	GOTO        L_GetChar4
L__GetChar40:
;AlphanumClick.c,162 :: 		return CharTable[Character - '-'];
	MOVLW       45
	SUBWF       FARG_GetChar_Character+0, 0 
	MOVWF       R5 
	CLRF        R6 
	MOVLW       0
	SUBWFB      R6, 1 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVF        R6, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       R6, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _CharTable+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_CharTable+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_CharTable+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	GOTO        L_end_GetChar
;AlphanumClick.c,163 :: 		}
L_GetChar4:
;AlphanumClick.c,165 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;AlphanumClick.c,167 :: 		}
L_end_GetChar:
	RETURN      0
; end of _GetChar

_GetDigit:

;AlphanumClick.c,169 :: 		unsigned int GetDigit(unsigned char Digit){
;AlphanumClick.c,170 :: 		if ((Digit >= 0) && (Digit <= 9)){
	MOVLW       0
	SUBWF       FARG_GetDigit_Digit+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_GetDigit8
	MOVF        FARG_GetDigit_Digit+0, 0 
	SUBLW       9
	BTFSS       STATUS+0, 0 
	GOTO        L_GetDigit8
L__GetDigit41:
;AlphanumClick.c,171 :: 		return CharTable[Digit+3];
	MOVLW       3
	ADDWF       FARG_GetDigit_Digit+0, 0 
	MOVWF       R5 
	CLRF        R6 
	MOVLW       0
	ADDWFC      R6, 1 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVF        R6, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       R6, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _CharTable+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_CharTable+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_CharTable+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	GOTO        L_end_GetDigit
;AlphanumClick.c,172 :: 		}
L_GetDigit8:
;AlphanumClick.c,174 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;AlphanumClick.c,176 :: 		}
L_end_GetDigit:
	RETURN      0
; end of _GetDigit

_Intro:

;AlphanumClick.c,178 :: 		void Intro() {
;AlphanumClick.c,179 :: 		WriteSegments(0xFFFF, 0xFFFF);
	MOVLW       255
	MOVWF       FARG_WriteSegments_a+0 
	MOVLW       255
	MOVWF       FARG_WriteSegments_a+1 
	MOVLW       255
	MOVWF       FARG_WriteSegments_b+0 
	MOVLW       255
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,180 :: 		Delay_ms(70);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       216
	MOVWF       R12, 0
	MOVLW       65
	MOVWF       R13, 0
L_Intro10:
	DECFSZ      R13, 1, 1
	BRA         L_Intro10
	DECFSZ      R12, 1, 1
	BRA         L_Intro10
	DECFSZ      R11, 1, 1
	BRA         L_Intro10
	NOP
	NOP
;AlphanumClick.c,182 :: 		for(cnt=15 ; cnt > 0 ; cnt--){
	MOVLW       15
	MOVWF       _cnt+0 
	MOVLW       0
	MOVWF       _cnt+1 
L_Intro11:
	MOVLW       0
	MOVWF       R0 
	MOVF        _cnt+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Intro50
	MOVF        _cnt+0, 0 
	SUBLW       0
L__Intro50:
	BTFSC       STATUS+0, 0 
	GOTO        L_Intro12
;AlphanumClick.c,183 :: 		temp += ldexp(1, cnt);
	MOVLW       0
	MOVWF       FARG_ldexp_value+0 
	MOVLW       0
	MOVWF       FARG_ldexp_value+1 
	MOVLW       0
	MOVWF       FARG_ldexp_value+2 
	MOVLW       127
	MOVWF       FARG_ldexp_value+3 
	MOVF        _cnt+0, 0 
	MOVWF       FARG_ldexp_newexp+0 
	MOVF        _cnt+1, 0 
	MOVWF       FARG_ldexp_newexp+1 
	CALL        _ldexp+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Intro+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Intro+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Intro+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Intro+3 
	MOVF        _temp+0, 0 
	MOVWF       R0 
	MOVF        _temp+1, 0 
	MOVWF       R1 
	CALL        _word2double+0, 0
	MOVF        FLOC__Intro+0, 0 
	MOVWF       R4 
	MOVF        FLOC__Intro+1, 0 
	MOVWF       R5 
	MOVF        FLOC__Intro+2, 0 
	MOVWF       R6 
	MOVF        FLOC__Intro+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	CALL        _double2word+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
;AlphanumClick.c,184 :: 		WriteSegments(temp,temp);
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,185 :: 		Delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_Intro14:
	DECFSZ      R13, 1, 1
	BRA         L_Intro14
	DECFSZ      R12, 1, 1
	BRA         L_Intro14
	DECFSZ      R11, 1, 1
	BRA         L_Intro14
	NOP
	NOP
;AlphanumClick.c,182 :: 		for(cnt=15 ; cnt > 0 ; cnt--){
	MOVLW       1
	SUBWF       _cnt+0, 1 
	MOVLW       0
	SUBWFB      _cnt+1, 1 
;AlphanumClick.c,186 :: 		}
	GOTO        L_Intro11
L_Intro12:
;AlphanumClick.c,187 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_Intro15:
	DECFSZ      R13, 1, 1
	BRA         L_Intro15
	DECFSZ      R12, 1, 1
	BRA         L_Intro15
	DECFSZ      R11, 1, 1
	BRA         L_Intro15
;AlphanumClick.c,188 :: 		}
L_end_Intro:
	RETURN      0
; end of _Intro

_WriteText:

;AlphanumClick.c,208 :: 		void WriteText() {
;AlphanumClick.c,209 :: 		WriteSegments(GetChar('M'), GetChar('I')); // Write M and I letters
	MOVLW       73
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       77
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,210 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText16:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText16
	DECFSZ      R12, 1, 1
	BRA         L_WriteText16
	DECFSZ      R11, 1, 1
	BRA         L_WriteText16
	NOP
	NOP
;AlphanumClick.c,211 :: 		WriteSegments(GetChar('I'), GetChar('K')); // Write I and K letters
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       73
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,212 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText17:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText17
	DECFSZ      R12, 1, 1
	BRA         L_WriteText17
	DECFSZ      R11, 1, 1
	BRA         L_WriteText17
	NOP
	NOP
;AlphanumClick.c,213 :: 		WriteSegments(GetChar('K'), GetChar('R')); // Write K and R letters
	MOVLW       82
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,214 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText18:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText18
	DECFSZ      R12, 1, 1
	BRA         L_WriteText18
	DECFSZ      R11, 1, 1
	BRA         L_WriteText18
	NOP
	NOP
;AlphanumClick.c,215 :: 		WriteSegments(GetChar('R'), GetChar('O')); // Write R and O letters
	MOVLW       79
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       82
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,216 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText19:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText19
	DECFSZ      R12, 1, 1
	BRA         L_WriteText19
	DECFSZ      R11, 1, 1
	BRA         L_WriteText19
	NOP
	NOP
;AlphanumClick.c,217 :: 		WriteSegments(GetChar('O'), GetChar('E')); // Write O and E letters
	MOVLW       69
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       79
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,218 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText20:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText20
	DECFSZ      R12, 1, 1
	BRA         L_WriteText20
	DECFSZ      R11, 1, 1
	BRA         L_WriteText20
	NOP
	NOP
;AlphanumClick.c,219 :: 		WriteSegments(GetChar('E'), GetChar('L')); // Write E and L letters
	MOVLW       76
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       69
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,220 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText21:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText21
	DECFSZ      R12, 1, 1
	BRA         L_WriteText21
	DECFSZ      R11, 1, 1
	BRA         L_WriteText21
	NOP
	NOP
;AlphanumClick.c,221 :: 		WriteSegments(GetChar('L'), GetChar('E')); // Write L and E letters
	MOVLW       69
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       76
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,222 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText22:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText22
	DECFSZ      R12, 1, 1
	BRA         L_WriteText22
	DECFSZ      R11, 1, 1
	BRA         L_WriteText22
	NOP
	NOP
;AlphanumClick.c,223 :: 		WriteSegments(GetChar('E'), GetChar('K')); // Write E and K letters
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       69
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,224 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText23:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText23
	DECFSZ      R12, 1, 1
	BRA         L_WriteText23
	DECFSZ      R11, 1, 1
	BRA         L_WriteText23
	NOP
	NOP
;AlphanumClick.c,225 :: 		WriteSegments(GetChar('K'), GetChar('T')); // Write K and T letters
	MOVLW       84
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,226 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText24:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText24
	DECFSZ      R12, 1, 1
	BRA         L_WriteText24
	DECFSZ      R11, 1, 1
	BRA         L_WriteText24
	NOP
	NOP
;AlphanumClick.c,227 :: 		WriteSegments(GetChar('T'), GetChar('R')); // Write T and R letters
	MOVLW       82
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       84
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,228 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText25:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText25
	DECFSZ      R12, 1, 1
	BRA         L_WriteText25
	DECFSZ      R11, 1, 1
	BRA         L_WriteText25
	NOP
	NOP
;AlphanumClick.c,229 :: 		WriteSegments(GetChar('R'), GetChar('O')); // Write R and O letters
	MOVLW       79
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       82
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,230 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText26:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText26
	DECFSZ      R12, 1, 1
	BRA         L_WriteText26
	DECFSZ      R11, 1, 1
	BRA         L_WriteText26
	NOP
	NOP
;AlphanumClick.c,231 :: 		WriteSegments(GetChar('O'), GetChar('N')); // Write O and N letters
	MOVLW       78
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       79
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,232 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText27:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText27
	DECFSZ      R12, 1, 1
	BRA         L_WriteText27
	DECFSZ      R11, 1, 1
	BRA         L_WriteText27
	NOP
	NOP
;AlphanumClick.c,233 :: 		WriteSegments(GetChar('N'), GetChar('I')); // Write N and I letters
	MOVLW       73
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       78
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,234 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText28:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText28
	DECFSZ      R12, 1, 1
	BRA         L_WriteText28
	DECFSZ      R11, 1, 1
	BRA         L_WriteText28
	NOP
	NOP
;AlphanumClick.c,235 :: 		WriteSegments(GetChar('I'), GetChar('K')); // Write I and K letters
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       73
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,236 :: 		delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_WriteText29:
	DECFSZ      R13, 1, 1
	BRA         L_WriteText29
	DECFSZ      R12, 1, 1
	BRA         L_WriteText29
	DECFSZ      R11, 1, 1
	BRA         L_WriteText29
	NOP
	NOP
;AlphanumClick.c,237 :: 		WriteSegments(GetChar('K'), GetChar('A')); // Write K and A letters
	MOVLW       65
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteText+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteText+1 
	MOVLW       75
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteText+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteText+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,238 :: 		}
L_end_WriteText:
	RETURN      0
; end of _WriteText

_WriteSpecialChars:

;AlphanumClick.c,240 :: 		void WriteSpecialChars(){
;AlphanumClick.c,241 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteSpecialChars30:
	DECFSZ      R13, 1, 1
	BRA         L_WriteSpecialChars30
	DECFSZ      R12, 1, 1
	BRA         L_WriteSpecialChars30
	DECFSZ      R11, 1, 1
	BRA         L_WriteSpecialChars30
	NOP
	NOP
;AlphanumClick.c,242 :: 		WriteSegments(0x2809, 0x136D);             // Write Sigma and $ characters
	MOVLW       9
	MOVWF       FARG_WriteSegments_a+0 
	MOVLW       40
	MOVWF       FARG_WriteSegments_a+1 
	MOVLW       109
	MOVWF       FARG_WriteSegments_b+0 
	MOVLW       19
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,243 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteSpecialChars31:
	DECFSZ      R13, 1, 1
	BRA         L_WriteSpecialChars31
	DECFSZ      R12, 1, 1
	BRA         L_WriteSpecialChars31
	DECFSZ      R11, 1, 1
	BRA         L_WriteSpecialChars31
	NOP
	NOP
;AlphanumClick.c,244 :: 		WriteSegments(0xFFFF, 0x3CC0);             // Write all segments and cyrilic letter
	MOVLW       255
	MOVWF       FARG_WriteSegments_a+0 
	MOVLW       255
	MOVWF       FARG_WriteSegments_a+1 
	MOVLW       192
	MOVWF       FARG_WriteSegments_b+0 
	MOVLW       60
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,245 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteSpecialChars32:
	DECFSZ      R13, 1, 1
	BRA         L_WriteSpecialChars32
	DECFSZ      R12, 1, 1
	BRA         L_WriteSpecialChars32
	DECFSZ      R11, 1, 1
	BRA         L_WriteSpecialChars32
	NOP
	NOP
;AlphanumClick.c,246 :: 		WriteSegments(0x0480, 0x2800);             // Write < and > characters
	MOVLW       128
	MOVWF       FARG_WriteSegments_a+0 
	MOVLW       4
	MOVWF       FARG_WriteSegments_a+1 
	MOVLW       0
	MOVWF       FARG_WriteSegments_b+0 
	MOVLW       40
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,247 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteSpecialChars33:
	DECFSZ      R13, 1, 1
	BRA         L_WriteSpecialChars33
	DECFSZ      R12, 1, 1
	BRA         L_WriteSpecialChars33
	DECFSZ      R11, 1, 1
	BRA         L_WriteSpecialChars33
	NOP
	NOP
;AlphanumClick.c,248 :: 		}
L_end_WriteSpecialChars:
	RETURN      0
; end of _WriteSpecialChars

_WriteNumbers:

;AlphanumClick.c,250 :: 		void WriteNumbers(){
;AlphanumClick.c,251 :: 		delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_WriteNumbers34:
	DECFSZ      R13, 1, 1
	BRA         L_WriteNumbers34
	DECFSZ      R12, 1, 1
	BRA         L_WriteNumbers34
	DECFSZ      R11, 1, 1
	BRA         L_WriteNumbers34
;AlphanumClick.c,252 :: 		WriteSegments(GetDigit(0), GetDigit(1));   // Write 0 and 1 numbers
	MOVLW       1
	MOVWF       FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteNumbers+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteNumbers+1 
	CLRF        FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteNumbers+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteNumbers+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,253 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteNumbers35:
	DECFSZ      R13, 1, 1
	BRA         L_WriteNumbers35
	DECFSZ      R12, 1, 1
	BRA         L_WriteNumbers35
	DECFSZ      R11, 1, 1
	BRA         L_WriteNumbers35
	NOP
	NOP
;AlphanumClick.c,254 :: 		WriteSegments(GetDigit(1), GetDigit(2));   // Write 1 and 2 numbers
	MOVLW       2
	MOVWF       FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteNumbers+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteNumbers+1 
	MOVLW       1
	MOVWF       FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteNumbers+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteNumbers+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,255 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteNumbers36:
	DECFSZ      R13, 1, 1
	BRA         L_WriteNumbers36
	DECFSZ      R12, 1, 1
	BRA         L_WriteNumbers36
	DECFSZ      R11, 1, 1
	BRA         L_WriteNumbers36
	NOP
	NOP
;AlphanumClick.c,256 :: 		WriteSegments(GetDigit(2), GetDigit(3));   // Write 2 and 3 numbers
	MOVLW       3
	MOVWF       FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__WriteNumbers+0 
	MOVF        R1, 0 
	MOVWF       FLOC__WriteNumbers+1 
	MOVLW       2
	MOVWF       FARG_GetDigit_Digit+0 
	CALL        _GetDigit+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WriteSegments_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_WriteSegments_a+1 
	MOVF        FLOC__WriteNumbers+0, 0 
	MOVWF       FARG_WriteSegments_b+0 
	MOVF        FLOC__WriteNumbers+1, 0 
	MOVWF       FARG_WriteSegments_b+1 
	CALL        _WriteSegments+0, 0
;AlphanumClick.c,257 :: 		delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_WriteNumbers37:
	DECFSZ      R13, 1, 1
	BRA         L_WriteNumbers37
	DECFSZ      R12, 1, 1
	BRA         L_WriteNumbers37
	DECFSZ      R11, 1, 1
	BRA         L_WriteNumbers37
	NOP
	NOP
;AlphanumClick.c,258 :: 		}
L_end_WriteNumbers:
	RETURN      0
; end of _WriteNumbers

_main:

;AlphanumClick.c,261 :: 		void main() {
;AlphanumClick.c,262 :: 		unsigned char i = 0;
;AlphanumClick.c,263 :: 		unsigned char SPIN_Screen = 1;
;AlphanumClick.c,264 :: 		unsigned temp = 0;
;AlphanumClick.c,266 :: 		ANSELA = 0;                                            // all digital
	CLRF        ANSELA+0 
;AlphanumClick.c,267 :: 		ANSELB = 0;                                            // all digital
	CLRF        ANSELB+0 
;AlphanumClick.c,268 :: 		ANSELC = 0;                                            // all digital
	CLRF        ANSELC+0 
;AlphanumClick.c,269 :: 		ANSELD = 0;                                            // all digital
	CLRF        ANSELD+0 
;AlphanumClick.c,270 :: 		ANSELE = 0;                                            // all digital
	CLRF        ANSELE+0 
;AlphanumClick.c,271 :: 		TRISA = 0;                                             // Set PORTA outputs
	CLRF        TRISA+0 
;AlphanumClick.c,272 :: 		TRISB = 0x03;                                          // Set NS# input
	MOVLW       3
	MOVWF       TRISB+0 
;AlphanumClick.c,273 :: 		TRISC = 0x02;                                          // Set NS output , SDO input
	MOVLW       2
	MOVWF       TRISC+0 
;AlphanumClick.c,274 :: 		TRISD = 0;                                             // Set PORTD output
	CLRF        TRISD+0 
;AlphanumClick.c,275 :: 		TRISE = 0;                                             // Set LE1 LE2 output
	CLRF        TRISE+0 
;AlphanumClick.c,277 :: 		InitTimer3();                                          // start up 10mS timer interrupt
	CALL        _InitTimer3+0, 0
;AlphanumClick.c,279 :: 		wait_time = 10;                                        // Set initial value for global variables
	MOVLW       10
	MOVWF       _wait_time+0 
	MOVLW       0
	MOVWF       _wait_time+1 
;AlphanumClick.c,282 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;AlphanumClick.c,284 :: 		TLC5926_LE1 = 1;
	BSF         LATE+0, 0 
;AlphanumClick.c,285 :: 		TLC5926_LE2 = 1;
	BSF         LATE+0, 1 
;AlphanumClick.c,286 :: 		TLC5926_NS  = 1;
	BSF         LATD+0, 0 
;AlphanumClick.c,287 :: 		TLC5926_nNS = 1;
	BSF         LATC+0, 0 
;AlphanumClick.c,289 :: 		while(1){
L_main38:
;AlphanumClick.c,290 :: 		Intro();               // Display Intro
	CALL        _Intro+0, 0
;AlphanumClick.c,291 :: 		WriteText();           // Display text MikroElektronika
	CALL        _WriteText+0, 0
;AlphanumClick.c,292 :: 		WriteSpecialChars();   // Display special characters
	CALL        _WriteSpecialChars+0, 0
;AlphanumClick.c,293 :: 		WriteNumbers();        // Display numbers
	CALL        _WriteNumbers+0, 0
;AlphanumClick.c,294 :: 		}
	GOTO        L_main38
;AlphanumClick.c,296 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
